Bug 908693 (CVE-2013-0268) - CVE-2013-0268 kernel: x86/msr: /dev/cpu/*/msr local privilege escalation
Summary: CVE-2013-0268 kernel: x86/msr: /dev/cpu/*/msr local privilege escalation
Status: CLOSED ERRATA
Alias: CVE-2013-0268
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130124,repo...
Keywords: Security
Depends On: 908696 908697 908698 908699 908702 908703 908706
Blocks: 907435
TreeView+ depends on / blocked
 
Reported: 2013-02-07 10:53 UTC by Petr Matousek
Modified: 2019-06-08 19:25 UTC (History)
25 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-27 12:45:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0621 normal SHIPPED_LIVE Important: kernel security update 2013-03-11 23:38:25 UTC
Red Hat Product Errata RHSA-2013:0622 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-03-11 22:36:36 UTC
Red Hat Product Errata RHSA-2013:0630 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-03-12 22:58:07 UTC

Description Petr Matousek 2013-02-07 10:53:05 UTC
Access to /dev/cpu/*/msr was protected only using filesystem checks. A local uid 0 (root) user with all capabilities dropped could use this flaw to execute arbitrary code in kernel mode.

Upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=c903f0456bc69176912dee6dd25c6a66ee1aed00

References:
http://grsecurity.net/~spender/msr32.c

Comment 3 Petr Matousek 2013-02-07 11:02:26 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 908706]

Comment 4 Fedora Update System 2013-02-08 16:56:30 UTC
kernel-3.7.6-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Petr Matousek 2013-02-11 19:16:48 UTC
Statement:

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

Comment 6 errata-xmlrpc 2013-03-11 18:39:51 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0622 https://rhn.redhat.com/errata/RHSA-2013-0622.html

Comment 7 errata-xmlrpc 2013-03-11 19:39:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0621 https://rhn.redhat.com/errata/RHSA-2013-0621.html

Comment 8 errata-xmlrpc 2013-03-12 18:59:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0630 https://rhn.redhat.com/errata/RHSA-2013-0630.html


Note You need to log in before you can comment on or make changes to this bug.